> For the complete documentation index, see [llms.txt](https://docs.emsigner.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emsigner.com/apis/api-reference/templates-and-web-forms/web-form.md).

# Web Form

## POST /api/Public/WebForm/GetConfiguration

> Configuration

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"WebForm"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.WebFormConfigurationRequest":{"type":"object","properties":{"templateId":{"type":"integer","format":"int32"},"linkId":{"type":"integer","format":"int64"},"includeConfigData":{"type":"boolean"}},"additionalProperties":false}}},"paths":{"/api/Public/WebForm/GetConfiguration":{"post":{"tags":["WebForm"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.WebFormConfigurationRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Configuration","operationId":"post_WebForm_GetConfiguration"}}}}
```

## POST /api/Public/WebForm/GetFormData

> Form data

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"WebForm"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.WebFormDataRequest":{"type":"object","properties":{"templateId":{"type":"integer","format":"int32"},"linkId":{"type":"integer","format":"int64"}},"additionalProperties":false}}},"paths":{"/api/Public/WebForm/GetFormData":{"post":{"tags":["WebForm"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.WebFormDataRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Form data","operationId":"post_WebForm_GetFormData"}}}}
```

## POST /api/Public/WebForm/GetSubmissionStatus

> Submission status

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"WebForm"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.WebFormSubmissionStatusRequest":{"type":"object","properties":{"templateId":{"type":"integer","format":"int32"},"subscriberId":{"type":"integer","format":"int64"}},"additionalProperties":false}}},"paths":{"/api/Public/WebForm/GetSubmissionStatus":{"post":{"tags":["WebForm"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.WebFormSubmissionStatusRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Submission status","operationId":"post_WebForm_GetSubmissionStatus"}}}}
```

## POST /api/Public/WebForm/SendSubmitterOtp

> Send submitter OTP

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"WebForm"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.SendSubmitterOtpRequest":{"type":"object","properties":{"templateId":{"type":"integer","format":"int32"},"linkId":{"type":"integer","format":"int64"},"parentId":{"type":"integer","format":"int64"},"email":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"otp":{"type":"string","nullable":true},"otpExpiryMinutes":{"type":"integer","format":"int32"}},"additionalProperties":false}}},"paths":{"/api/Public/WebForm/SendSubmitterOtp":{"post":{"tags":["WebForm"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.SendSubmitterOtpRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Send submitter OTP","operationId":"post_WebForm_SendSubmitterOtp"}}}}
```
